# Retrieve an Offer's Trades

This endpoint represents all trades for a given offer and can be used in streaming mode. Streaming mode allows you to listen for trades for this offer as they are added to the Stellar ledger. If called in streaming mode, Horizon will start at the earliest known trade unless a cursor is set, in which case it will start from that cursor. By setting the cursor value to now, you can stream trades created since your request time.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://developers.stellar.org/network/horizon/api-reference/resources/get-trades-by-offer-id)

{% openapi src="<https://1292504766-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FF3uvE671dWWOTAu9svnI%2Fuploads%2FZki9Dvj0W61fX9Jyhir7%2Fhorizon-openapi_vc.yml?alt=media&token=e5961be6-b70d-4c20-8f54-996e04e8ac21>" path="/offers/{offer\_id}/trades" method="get" %}
[horizon-openapi\_vc.yml](https://1292504766-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FF3uvE671dWWOTAu9svnI%2Fuploads%2FZki9Dvj0W61fX9Jyhir7%2Fhorizon-openapi_vc.yml?alt=media\&token=e5961be6-b70d-4c20-8f54-996e04e8ac21)
{% endopenapi %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.validationcloud.io/v1/stellar/horizon-api/offers/retrieve-an-offers-trades.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
